## org.apache.cassandra.thrift
Enum TokenRange._Fields

    java.lang.Object
      java.lang.Enum<TokenRange._Fields>
          org.apache.cassandra.thrift.TokenRange._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TokenRange._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  TokenRange

    public static enum TokenRange._Fields

extends java.lang.Enum<TokenRange._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`END_TOKEN`
`ENDPOINT_DETAILS`
`ENDPOINTS`
`RPC_ENDPOINTS`
`START_TOKEN`

Method Summary
`static TokenRange._Fields` `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static TokenRange._Fields` `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TokenRange._Fields` `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` `getFieldName()`
`short` `getThriftFieldId()`
`static TokenRange._Fields` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TokenRange._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START_TOKEN

    public static final TokenRange._Fields START_TOKEN

### END_TOKEN

    public static final TokenRange._Fields END_TOKEN

### ENDPOINTS

    public static final TokenRange._Fields ENDPOINTS

### RPC_ENDPOINTS

    public static final TokenRange._Fields RPC_ENDPOINTS

### ENDPOINT_DETAILS

    public static final TokenRange._Fields ENDPOINT_DETAILS

Method Detail

### values

    public static TokenRange._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TokenRange._Fields c : TokenRange._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TokenRange._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static TokenRange._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static TokenRange._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static TokenRange._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2013 The Apache Software Foundation